Plugin error from feature-classifier - Threads

Hello
I am using q2-amplicon-2024.2 and get a plugin error message when starting a qiime feature-classifier classify-sklearn --p-n-jobs -1 job.

Plugin error from feature-classifier:
  Parameter 'n_jobs' received -1 as an argument, which is incompatible with parameter type: Threads

It seems that the -1 parameter is not correctly recognized in the latest release. No problems when specifying the no. of cpus explicitly.

Hello @arwqiime,

We recently changed the permitted values for parameters to actions that involve requesting threads and the like. It looks like I made a mistake when updating this one. We'll get this fixed, in the mean time you can use the explicit number of jobs as you pointed out. Hopefully this didn't inconvenience you too much, and thanks for pointing it out!

1 Like

Great, no problem, I was able to manage this! :slight_smile:

1 Like